/* timetab1.c */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main (int argc, char *argv[])
{
  struct tm t;
  time_t x;
  int y;

  putenv ("TZ=");
  tzset ();

  y = 1970;
  for (;;)
    {
      t.tm_year = y - 1900;
      t.tm_mon = 0;
      t.tm_mday = 1;
      t.tm_hour = t.tm_min = t.tm_sec = 0;
      t.tm_isdst = 0;
      x = mktime (&t);
      if (x == (time_t)-1)
        break;
      printf ("%lu\n", (unsigned long)(x / (24 * 60 * 60)));
      ++y;
    }
  return 0;
}
